org.eclipse.rdf4j.sail.shacl.results

## Class ValidationResult

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.ValidationResult

- Deprecated.
  The ValidationResult is deprecated because it is planned moved to a new package to allow it to be used with remote validation results.

      @Deprecated
      public class ValidationResult
      extends Object

  The ValidationResult represents the results from a SHACL validation in an easy-to-use Java API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationResult(Value focusNode, Value value, org.eclipse.rdf4j.sail.shacl.ast.Shape shape, SourceConstraintComponent sourceConstraintComponent, org.eclipse.rdf4j.sail.shacl.ast.Severity severity, org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent.Scope scope)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model` | `asModel(Model model)` Deprecated.
    `Model` | `asModel(Model model, Set<Resource> rdfListDedupe)` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `ValidationResult` | `getDetail()` Deprecated.
    `List<ValidationResult>` | `getDetails()` Deprecated.
    `Resource` | `getId()` Deprecated.
    `SourceConstraintComponent` | `getSourceConstraintComponent()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `void` | `setDetail(ValidationResult detail)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationResult

          public ValidationResult(Value focusNode,
                                  Value value,
                                  org.eclipse.rdf4j.sail.shacl.ast.Shape shape,
                                  SourceConstraintComponent sourceConstraintComponent,
                                  org.eclipse.rdf4j.sail.shacl.ast.Severity severity,
                                  org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent.Scope scope)

      Deprecated.

  - ### Method Detail

    - #### getDetail

          public ValidationResult getDetail()

      Deprecated.
      Returns:
        ValidationResult with more information as to what failed. Usually for nested Shapes in eg. sh:or.

    - #### setDetail

          public void setDetail(ValidationResult detail)

      Deprecated.

    - #### getDetails

          public List<ValidationResult> getDetails()

      Deprecated.
      Returns:
        all ValidationResult(s) with more information as to what failed. Usually for nested Shapes in eg. sh:or.

    - #### asModel

          public Model asModel(Model model)

      Deprecated.

    - #### asModel

          public Model asModel(Model model,
                               Set<Resource> rdfListDedupe)

      Deprecated.

    - #### getId

          public Resource getId()

      Deprecated.

    - #### getSourceConstraintComponent

          public SourceConstraintComponent getSourceConstraintComponent()

      Deprecated.
      Returns:
        the type of the source constraint that caused the violation

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.